//$backgroundColor-myBets-header: linear-gradient(90deg, rgb(70, 150, 208), rgb(52, 47, 113));
$backgroundColor-myBets-header: rgb(70, 150, 208);
$backgroundColor-myBets-header-dark: #2874ac;

$myBets-number-size: 85px;
$muBets-multiplier-size: 50px;
.myBets {
  &_header {
    padding: $paddingMini $paddingLarge;
    background-color: $backgroundColor-myBets-header-dark;
    border-top-left-radius: $borderRadius-card;
    border-top-right-radius: $borderRadius-card;
    letter-spacing: 1.4px;
  }
  &_body {
    //padding: 0px $paddingLarge;
    &-values {
      padding-top: $paddingMini;
    }
    &-slider {
      padding: 0px $paddingDefault;
      .progress {
        width: 20px;
        background-color: rgb(70, 150, 208);
        margin-top: 0px;
        border-top-left-radius: 10px;
        border-top-right-radius: 0px;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 0px;
      }
    }
  }
  &_popup {
    position: fixed;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    background-color: rgba($secondaryColor, .9);
    z-index: 9;
    display: flex;
    align-items: center;
    &_inner {
      height: 350px;
      width: 300px;
      margin: auto;
      padding: 0px $paddingMini;
    }
    &-header {
      display: flex;
      justify-content: flex-end;
      margin-bottom: $marginDefault;
    }
    &-close {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 30px;
      height: 30px;
      border-radius: 6px;
      background-color: #222b3e;
      border: 1px solid #3b4356;
      box-shadow: 2px 5px 14px 4px #111926;
      color: #ffffff;
    }
    &-number {
      width: $myBets-number-size;
      height: $myBets-number-size;
      margin: auto;
      position: relative;
      font-size: 2rem;
      &-item {
        text-transform: uppercase;
        &.betNumber {
          border-color: #323948;
          border-radius: 16px;
          background-color: #12243D;
        }
        .betNumber {
          &_inner {
            border-radius: 16px;
            width: calc(100% - 14px);
            height: calc(100% - 14px);
            &-helper {
              width: calc(100% - 4px);
              height: calc(100% - 4px);
              border-radius: 14px;
              background-color: #12243D;
              color: white;
            }
          }
        }
      }
    }
    &-body {
      background-color: #222b3e;
      border: 1px solid #3b4356;
      padding: $paddingDefault;
      border-radius: 10px;
      text-transform: uppercase;
      box-shadow: 2px 5px 14px 4px #111926;
      font-size: .875rem;
      .info-mockup {
        background-color: #1A212E;
        color: #FFC24A;
      }
      &-btn {
        margin-top: $marginDefault;
        .signIn-btn {
          margin-bottom: 0px;
        }
      }
      &-multiplier {
        min-width: $muBets-multiplier-size;
        min-height: $muBets-multiplier-size;
        text-transform: initial;
        color: #00bac3;
        font-weight: bold;
        border-radius: 10px;
        font-size: 16px;
      }
      &-title {
        line-height: 1.4;
        font-size: 10px;
      }
      &-amount {
        font-size: 18px;
        font-weight: bold;
      }
    }
  }
}

